package rozwiazania_zadan.r2.z3_funkcje_konwersje;

import static rozwiazania_zadan.r2.z3_funkcje_konwersje.KonwersjeJednostek.celc_na_far;
import static rozwiazania_zadan.r2.z3_funkcje_konwersje.KonwersjeJednostek.far_na_celc;
import static rozwiazania_zadan.r2.z3_funkcje_konwersje.KonwersjeJednostek.km_na_mile;
import static rozwiazania_zadan.r2.z3_funkcje_konwersje.KonwersjeJednostek.mile_na_km;

// albo za jednym zamachem:
// import static funkcje.KonwersjeJednostek.*;

import java.util.Scanner;

// Jak użyć definicji z innej klasy?
// Można "zaimportować statycznie".
public class ProgramKonwertujacy2 {

	public static void main(String[] args) {
		@SuppressWarnings("resource")
		Scanner sc = new Scanner(System.in);
		
		petla:
		while(true) {
			System.out.println("Podaj nazwę operacji");
			System.out.println("  m2k - mile na kilometry");
			System.out.println("  k2m - kilometry na mile");
			System.out.println("  f2c - Fahrenheity na Celcjusze");
			System.out.println("  c2f - Celcjusze na Fahrenheity");
			System.out.println("  k   - Koniec programu");
			String operacja = sc.nextLine().trim().toLowerCase();
			
			System.out.println("Podaj argument:");
			double arg = sc.nextDouble();
			sc.nextLine();
			
			double wynik = 0;
			
			switch(operacja) {
			case "k":
				break petla;
			case "m2k" :
				wynik = mile_na_km(arg);
				break;
			case "k2m" : 
				wynik = km_na_mile(arg);
				break;
			case "f2c" : 
				wynik = far_na_celc(arg);
				break;
			case "c2f" : 
				wynik = celc_na_far(arg);
				break;
			}
			System.out.println("Wynik wynosi " + wynik);
			System.out.println();
		}
		System.out.println("papa");
	}

}
